package pmicrovenus;
public class Impuesto extends Casilla {
    private int precio;

    public Impuesto() {
        
    }
    
     public Impuesto(int id, String des, int px, int py, int precio) {
        super(id,des,px,py); 
        this.precio=precio;
    }

    public void accion(Jugador j) {
        System.out.println("Has caido en la casilla numero " + super.getNum() + ", " + super.getDescripcion());
        System.out.println("Pagar Impuesto por " + precio );
        j.reintegro(precio);
        
    }

    public int getPrecio() {
        return precio;
    }

    public void setPrecio(int val) {
        this.precio = val;
    }
}
